メインコンテンツへスキップ
POST
/
generate
/
k
/
sora2-pro-text-to-video
Sora2 Pro テキストから動画
curl --request POST \
  --url https://api.sinancode.com/v1/generate/k/sora2-pro-text-to-video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "a cinematic scene of a spaceship",
  "aspect_ratio": "landscape",
  "n_frames": 10,
  "remove_watermark": false,
  "size": "standard"
}
'
{
  "task_id": "01234567-89ab-cdef-0123-456789abcdef"
}
OpenAI の Sora 2 Pro モデルを使用してテキストから高品質な動画を生成します。

承認

Authorization
string
header
必須

API Tokenを使用して認証を行ってください

ボディ

application/json

タスクパラメータ

prompt
string
必須

プロンプト(必須)

Minimum string length: 1
:

"a cinematic scene of a spaceship"

aspect_ratio
enum<string>
デフォルト:landscape

アスペクト比(オプション、デフォルト landscape)

利用可能なオプション:
portrait,
landscape
:

"landscape"

n_frames
enum<integer>
デフォルト:10

動画の長さ(オプション、10または15秒、デフォルト10)

利用可能なオプション:
10,
15
:

10

remove_watermark
boolean

透かしを削除(オプション)

:

false

size
enum<string>
デフォルト:standard

動画の品質(オプション、standard/high、デフォルト standard)

利用可能なオプション:
standard,
high
:

"standard"

レスポンス

OK

task_id
string
必須

タスクID

:

"01234567-89ab-cdef-0123-456789abcdef"